Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.world
Class WorldType

    java.lang.Object
      net.minecraft.world.WorldType

    public class WorldType

extends Object

Field Summary
`static BiomeGenBase[]` | `base11Biomes`
`static BiomeGenBase[]` | `base12Biomes`
`static WorldType` | `DEFAULT` Default world type.
`static WorldType` | `DEFAULT_1_1` Default (1.1) world type.
`static WorldType` | `FLAT` Flat world type.
`static WorldType` | `LARGE_BIOMES` Large Biome world Type.
`static WorldType[]` | `worldTypes` List of world types.

Constructor Summary
`WorldType(int par1, String par2Str)`
`WorldType(int par1, String par2Str, int par3)`

Method Summary
`void` | `addNewBiome(BiomeGenBase biome)`
`int` | `func_82747_f()`
`BiomeGenBase[]` | `getBiomesForWorldType()`
`boolean` | `getCanBeCreated()`
`IChunkProvider` | `getChunkGenerator(World world, String generatorOptions)`
`WorldChunkManager` | `getChunkManager(World world)`
`int` | `getGeneratorVersion()` Returns generatorVersion.
`double` | `getHorizon(World world)`
`int` | `getMinimumSpawnHeight(World world)`
`int` | `getSpawnFuzz()` Gets the spawn fuzz for players who join the world.
`String` | `getTranslateName()`
`WorldType` | `getWorldTypeForGeneratorVersion(int par1)`
`String` | `getWorldTypeName()`
`boolean` | `handleSlimeSpawnReduction(Random random, World world)`
`boolean` | `hasVoidParticles(boolean var1)`
`boolean` | `isVersioned()` Returns true if this world Type has a version associated with it.
`void` | `onGUICreateWorldPress()` Called when 'Create New World' button is pressed before starting game
`static WorldType` | `parseWorldType(String par0Str)`
`void` | `removeBiome(BiomeGenBase biome)`
`double` | `voidFadeMagnitude()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### base11Biomes

    public static final BiomeGenBase[] base11Biomes

### base12Biomes

    public static final BiomeGenBase[] base12Biomes

### worldTypes

    public static final WorldType[] worldTypes

  List of world types.

### DEFAULT

    public static final WorldType DEFAULT

  Default world type.

### FLAT

    public static final WorldType FLAT

  Flat world type.

### LARGE_BIOMES

    public static final WorldType LARGE_BIOMES

  Large Biome world Type.

### DEFAULT_1_1

    public static final WorldType DEFAULT_1_1

  Default (1.1) world type.

Constructor Detail

### WorldType

    public WorldType(int par1,
                     String par2Str)

### WorldType

    public WorldType(int par1,
                     String par2Str,
                     int par3)

Method Detail

### getWorldTypeName

    public String getWorldTypeName()

### getTranslateName

    public String getTranslateName()

### getGeneratorVersion

    public int getGeneratorVersion()

  Returns generatorVersion.

### getWorldTypeForGeneratorVersion

    public WorldType getWorldTypeForGeneratorVersion(int par1)

### getCanBeCreated

    public boolean getCanBeCreated()

### isVersioned

    public boolean isVersioned()

  Returns true if this world Type has a version associated with it.

### parseWorldType

    public static WorldType parseWorldType(String par0Str)

### func_82747_f

    public int func_82747_f()

### getChunkManager

    public WorldChunkManager getChunkManager(World world)

### getChunkGenerator

    public IChunkProvider getChunkGenerator(World world,
                                            String generatorOptions)

### getMinimumSpawnHeight

    public int getMinimumSpawnHeight(World world)

### getHorizon

    public double getHorizon(World world)

### hasVoidParticles

    public boolean hasVoidParticles(boolean var1)

### voidFadeMagnitude

    public double voidFadeMagnitude()

### getBiomesForWorldType

    public BiomeGenBase[] getBiomesForWorldType()

### addNewBiome

    public void addNewBiome(BiomeGenBase biome)

### removeBiome

    public void removeBiome(BiomeGenBase biome)

### handleSlimeSpawnReduction

    public boolean handleSlimeSpawnReduction(Random random,
                                             World world)

### onGUICreateWorldPress

    public void onGUICreateWorldPress()

  Called when 'Create New World' button is pressed before starting game

### getSpawnFuzz

    public int getSpawnFuzz()

  Gets the spawn fuzz for players who join the world. Useful for void world types.

  Returns:
    Fuzz for entity initial spawn in blocks.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD